Subject: Re: [PATCH -V2] powerpc: book3s: PR: Enable Little Endian PR guest

From: Alexander Graf <[email-masked]>
Date: Thu, 28 Nov 2013 18:57:19 +0100

On 11/28/2013 04:53 PM, Aneesh Kumar K.V wrote:
> From: "Aneesh Kumar K.V" <[email-masked]>
>
> This patch make sure we inherit the LE bit correctly in different case
> so that we can run Little Endian distro in PR mode

IMHO H_SET_MODE should be handled in user space for most cases. We 
probably want an interface similar to the RTAS hypercall where user 
space can then tell the kernel to handle individual sub-commands inside 
the kernel after all for performance counters and other performance 
critical operations.

But the normal mode of operation should be to bounce this into user 
space and have that one set LPCR then.

Alex